package com.emato.ccnet.wx.biz.req.wxorder.order;

import com.emato.ccnet.wx.biz.CebReqBiz;
import com.emato.ccnet.wx.biz.WxOrderBiz;
import com.emato.ccnet.wx.contants.CcnetContants;
import com.emato.ccnet.wx.dao.entity.ccnet.WxOrder;
import com.emato.ccnet.wx.dao.entity.wx.WxOrderDate;
import com.emato.ccnet.wx.service.WxOrderGrabService;
import com.emato.ccnet.wx.service.WxOrderService;
import com.emato.ccnet.wx.support.msg.resp.ResponseMessage;
import com.emato.ccnet.wx.util.DateUtil;
import com.google.common.collect.ImmutableMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class WxOrderResendBiz implements WxOrderBiz {
    private static final Logger LOGGER = LoggerFactory.getLogger(WxOrderResendBiz.class);

    @Autowired
    private WxOrderService wxOrderService;

   @Value("${db.wx-send-ccnet.page-size}")
   private String limit = "20";

    /**
     * wx订单运单、电子订单、支付单发送失败数据
     * @return
     */
    @Override
    public ResponseMessage resendQueryAll() {
//        "number", Integer.valueOf(limit),
        Map<String,Object> reqParam = ImmutableMap.of(
                "clecOrderStatus", CcnetContants.sendStatus.item_3.getItem(),"wayOrderStatus", CcnetContants.sendStatus.item_3.getItem(),
                "playOrderStatus", CcnetContants.sendStatus.item_3.getItem(),"projectCheckStatus", CcnetContants.sendStatus.item_3.getItem());
        //查询待处理数据
        List<WxOrder> list = wxOrderService.getResendWxOrder(reqParam);
        if (list == null || list.size() == 0) {
            String info = "微信端没有运单、电子订单、支付单发送失败的订单数据, 提前结束";
            LOGGER.error("--- {}", info);
            return ResponseMessage.failed(info);
        }
        for (WxOrder order : list){
//            System.out.println(order.getPlaceOrderlTime());
//            System.out.println(DateUtil.dateToString(order.getPlaceOrderlTime(),DateUtil.yyyy_MM_ddHHmmss));
//            System.out.println(DateUtil.stringConvertDate(DateUtil.dateToString(order.getPlaceOrderlTime(),DateUtil.yyyy_MM_ddHHmmss),DateUtil.yyyy_MM_ddHHmmss));
            order.setPlaceOrderlTimeStr(DateUtil.dateToString(order.getPlaceOrderlTime(),DateUtil.yyyy_MM_ddHHmmss));
        }

        return ResponseMessage.success(list);
    }

}
